package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/12/19 上午9:31
 * @desc EducationLevel...
 */
@Getter
@AllArgsConstructor
public enum EducationLevel implements BaseEnum<String>, IEnum<String> {
    PRIMARY_SCHOOL("primary_school", "小学"),
    JUNIOR_SCHOOL("junior_school", "初中"),
    HIGH_SCHOOL("high_school", "高中"),
    COLLEGE("college", "大专"),
    UNDERGRADUATE("undergraduate", "本科"),
    UNDERGRADUATE_MORE("undergraduate_more", "本科以上"),
    ;
    private final String value;
    private final String label;
}
